#!/bin/sh

TESTNAME=t10
DGSOP=/usr/bin/dgsop
EXAMPLE=/usr/share/dgc/example.pla

if [ ! -f $DGSOP ]; then
    echo "$DGSOP doesn't exist"
    exit 1
fi

if [ ! -f $EXAMPLE ]; then
    echo "$EXAMPLE doesn't exist"
    exit 1
fi

$DGSOP $EXAMPLE -min -op tmp

TEST=`grep -c "0-1- 010" tmp`
if [ $TEST -ne 1 ]; then
    echo "$TEST ... failed"
    exit 1
fi

TEST=`grep -c "1--1 001" tmp`
if [ $TEST -ne 1 ]; then
    echo "$TEST ... failed"
    exit 1
fi

TEST=`grep -c "10-- 101" tmp`
if [ $TEST -ne 1 ]; then
    echo "$TEST ... failed"
    exit 1
fi

TEST=`grep -c "11-- 010" tmp`
if [ $TEST -ne 1 ]; then
    echo "$TEST ... failed"
    exit 1
fi

TEST=`grep -c ".p 4" tmp`
if [ $TEST -ne 1 ]; then
    echo "$TEST ... failed"
    exit 1
fi

echo "$TESTNAME ... success."
echo "Removing $TESTNAME tmp"
rm tmp
